<?php
if (file_exists("config-server.php")) require("config-server.php");

checkrealms();

function checkrealms()
{
    global $realms,$servers,$config;
    while
        (
        !isset($config["myserver"])||
        !isset($config["myserver"]["realm_server"])||
        !isset($config["myserver"]["realm_port"])
        )
    {
        //basically check lib/realms.php
        if (!is_array($realms)||count($realms)==0)
        {
            die('Invalid realms. Check lib/realms.php');
        }
        //setup realmserver
        unset($realmoption);
        while (!isset($realmoption)||!@isset($realmoptions[$realmoption]))
        {
            $realmoptions=array(); 
            echo "................\n: Realmselection\n";        
            foreach ($realms as $realmregion=>$realmserver)
            {
                if (is_string($realmserver['server']) && is_int($realmserver['port']))
                {
                    $realmoptions[]=$realmregion;
                    echo "  ".count($realmoptions).") ".$realmregion."\n";
                } else {
                    echo "  Invalid settings for realm " . $realmregion . "\n";
                }
            }
            if (count($realmoptions)==0)
            {
                die('No realms defined. Check lib/realms.php');
            }
            $realmoption=stdio_scanf("  Choose your continent/realm (number): ","%i",0)-1;
        }
        $f1=fopen("config-server.php","w+") or die("Can't create config-server.php");
        if (!fwrite($f1,"<?php
            /***** Chatserver
            ****** this is the IP and the PORT of your chatserver and your realm.
            ****** Just delete this file and restart your bot to setup a new one!
            *****/
            \$config['myserver']=array(".
                "'realm_server'=>'".$realms[$realmoptions[$realmoption]]['server']."',".
                "'realm_port'=>".$realms[$realmoptions[$realmoption]]['port'].");".
            "?>"))
        {
            die("Can't write config-server.php");
        }
        require("config-server.php");
    }
}
function stdio_scanf($prompt,$format="%s",$p=null)
{
    echo $prompt;
    $f1=fopen("php://stdin","r") or die("Can't handle userinput.\nFix your PHP or setup your config-server.php manually.\nFor more information visit http://odins-zorn.de");
    $b=fscanf($f1,$format);
    fclose($f1);
    return (is_int($p)) ? $b[$p] : $b;
}
?>